/**
 * This module represents the HTTP component for Harper, and receives the HTTP options and uses them to configure
 * HTTP servers
 */
import { Scope } from '../components/Scope.ts';
import { IncomingMessage } from 'node:http';
import { type HttpOptions } from './Server.ts';
export declare const universalHeaders: [string, string][];
export declare function handleApplication(scope: Scope): void;
export declare function getHttpOptions(): HttpOptions;
export declare function deliverSocket(fdOrSocket: any, port: any, data: any): any;
export declare function proxyRequest(message: any): void;
export declare function registerServer(server: any, port: any, checkPort?: boolean): void;
export declare function httpServer(listener: any, options: any): any[];
export declare function logRequest(nodeRequest: IncomingMessage, status: number, requestId: number, executionTime?: number): void;
export declare function getRequestId(): number;
